cf-runagent(8)

NAME
cf-runagent - Run agent

SYNOPSIS:
 cf-runagent [options]

DESCRIPTION:
The run agent connects to a list of running instances ofthe cf-serverd service. The agent allows a user to forego the usual scheduling interval for the agent and activate cf-agent on a remote host. Additionally, a user can send additional classes to be defined on the remote host. Two kinds of classes may be sent: classes to decide on which hosts the agent will be started, and classes that the user requests the agent should define on execution. The latter type is regulated by cfserverd's role based access control. cfengine is a self-healing configuration and change management based system. You can think of.B cfengine as a very high level language, much higher level than Perl or shell. Asingle statement is called a promise, and compliance can result in many hundreds of filesbeing created, or the permissions of many hundreds offiles being set. The idea of .B cfengine is to create a one or more sets of configuration files which willclassify and describe the setup of every host in a network.

COMMAND LINE OPTIONS:

--help, -h
    Print the help message

--debug, -d
    Set debugging level 0,1,2,3

--verbose, -v
    Output verbose information about the behaviour of the agent

--dry-run, -n
    All talk and no action mode - make no changes, only inform of promises not kept

--version, -V
    Output the version of the software

--file, -f
    Specify an alternative input file than the default

--define-class, -D
    Define a list of comma separated classes to be sent to a remote agent

--select-class, -s
    Define a list of comma separated classes to be used to select remote agents by constraint

--inform, -I
    Print basic information about changes made to the system, i.e. promises repaired

--remote-options, -o
    Pass options to a remote server process

--diagnostic, -x
    Activate internal diagnostics (developers only)

AUTHOR
Mark Burgess and Cfengine AS

INFORMATION
Bug reports: bug-cfengine@cfengine.org Community help: help-cfengine@cfengine.org Community info: http://www.cfengine.org Support services: http://www.cfengine.com This software is (C) 2008 Cfengine AS.